Package org.bukkit

# Enum Class WeatherType

java.lang.Object
java.lang.Enum<WeatherType>
org.bukkit.WeatherType

All Implemented Interfaces:
  `Serializable`, `Comparable<WeatherType>`, `Constable`

public enum WeatherType extends Enum<WeatherType>
An enum of all current weather types

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLEAR`
Clear weather, clouds but no rain.
`DOWNFALL`
Raining or snowing depending on biome.

## Method Summary

Modifier and Type
Method
Description
`static WeatherType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WeatherType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DOWNFALL

public static final WeatherType DOWNFALL
Raining or snowing depending on biome.

### CLEAR

public static final WeatherType CLEAR
Clear weather, clouds but no rain.

## Method Details

### values

public static WeatherType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static WeatherType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null